Inhalte
Index 🔎︎

# Add-in-Funktionen, Liste der Analysefunktionen Teil 1

Die Plug-in-Funktionen werden vom Service UNO com.sun.star.sheet.addin.Analysis bereitgestellt.

So greifen Sie auf diesen Befehl zu:

Einfügen – Funktion… – Kategorie: Add-in

## BESSELI

Berechnet die modifizierte Besselfunktion der ersten Gattung In(x).

#### Syntax

BESSELI(X; N)

X ist der Wert, mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion In(x) angibt.

#### Beispiel

=BESSELI(3,45;4) ergibt 0,651416873060081

=BESSELI(3,45;4,333) ergibt 0,651416873060081, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELI(-1;3) ergibt -0,022168424924332

## BESSELJ

Berechnet die Besselfunktion der ersten Gattung Jn(x) (Zylinderfunktion).

#### Syntax

BESSELJ(X; N)

X ist der Wert, mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Jn(x) angibt.

#### Beispiel

=BESSELJ(3,45;4) ergibt 0,196772639864984

=BESSELJ(3,45;4,333) ergibt 0,196772639864984, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELJ(-1;3) ergibt -0,019563353982668

## BESSELK

Berechnet die modifizierte Besselfunktion der zweiten Gattung Kn(x).

#### Syntax

BESSELK(X; N)

X ist der notwendigerweise positive Wert (X > 0), mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Kn(x) angibt.

#### Beispiel

=BESSELK(3,45;4) ergibt 0,144803466373734

=BESSELK(3,45;4,333) ergibt 0,144803466373734, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELK(0;3) ergibt Err:502 – ungültiges Argument (X=0)

## BESSELY

Berechnet die Besselfunktion der zweiten Gattung Yn(x).

#### Syntax

BESSELY(X; N)

X ist der notwendigerweise positive Wert (X > 0), mit dem die Funktion berechnet wird.

N ist eine positive ganze Zahl (N >= 0), welche die Ordnung der Besselfunktion Yn(x) angibt.

#### Beispiel

=BESSELY(3,45;4) ergibt -0,679848116844476

=BESSELY(3,45;4,333) ergibt -0,679848116844476, das selbe wie oben, da der Anteil N ignoriert wird.

=BESSELY(0;3) ergibt Err:502 – ungültiges Argument (X=0)

## BININDEZ

Das Ergebnis ist die Dezimalzahl der eingegebenen Binärzahl.

#### Syntax

BININDEZ(Zahl)

Zahl ist eine Binärzahl. Die Zahl kann aus maximal 10 Stellen (Bits) bestehen. Das höchstwertige Bit ist das Vorzeichenbit. Negative Zahlen werden als Zweierkomplement eingegeben.

#### Beispiel

=BININDEZ(1100100) ergibt 100.

## BININHEX

Das Ergebnis ist die Hexadezimalzahl der eingegebenen Binärzahl.

#### Syntax

BININHEX(Zahl [; Stellen])

Zahl ist eine Binärzahl. Die Zahl kann aus maximal 10 Stellen (Bits) bestehen. Das höchstwertige Bit ist das Vorzeichenbit. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=BININHEX(1100100;6) ergibt 000064.

## BININOKT

Das Ergebnis ist die Oktalzahl der eingegebenen Binärzahl.

#### Syntax

BININOKT(Zahl [; Stellen])

Zahl ist eine Binärzahl. Die Zahl kann aus maximal 10 Stellen (Bits) bestehen. Das höchstwertige Bit ist das Vorzeichenbit. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=BININOKT(1100100;4) ergibt 0144.

## DELTA

Das Ergebnis ist WAHR (1), wenn beide Zahlen, die als Argument übergeben werden, gleich sind, sonst FALSCH (0).

#### Syntax

DELTA(Zahl 1 [; Zahl 2])

#### Beispiel

=DELTA(1;2) ergibt 0.

## DEZINBIN

Das Ergebnis ist die Binärzahl der eingegebenen Dezimalzahl zwischen -512 und 511.

#### Syntax

DEZINBIN(Zahl [; Stellen])

Zahl ist eine Dezimalzahl. Wenn Zahl negativ ist, ergibt die Funktion eine Binärzahl mit 10 Zeichen. Das höchstwertige Bit ist das Vorzeichenbit, die anderen 9 Bits ergeben den Wert.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEZINBIN(100;8) ergibt 01100100.

## DEZINHEX

Das Ergebnis ist die Hexadezimalzahl der eingegebenen Dezimalzahl.

#### Syntax

DEZINHEX(Zahl [; Stellen])

Zahl ist eine Dezimalzahl. Wenn Zahl negativ ist, ergibt die Funktion eine Hexadezimalzahl mit 10 Zeichen (40 Bits). Das höchstwertige Bit ist das Vorzeichenbit, die anderen 39 Bits ergeben den Wert.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEZINHEX(100;4) ergibt 0064.

## DEZINOKT

Das Ergebnis ist die Oktalzahl der eingegebenen Dezimalzahl.

#### Syntax

DEZINOKT(Zahl [; Stellen])

Zahl ist eine Dezimalzahl. Wenn Zahl negativ ist, ergibt die Funktion eine Oktalzahl mit 10 Zeichen (30 Bits). Das höchstwertige Bit ist das Vorzeichenbit, die anderen 29 Bits ergeben den Wert.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=DEZINOKT(100;4) ergibt 0144.

## GAUSSF.GENAU

Liefert die Werte zur Gauß'schen Fehlerfunktion zwischen 0 und gegebener Grenze.

Diese Funktion ist seit LibreOffice 4.3 verfügbar.

#### Syntax

GAUSSF.GENAU(Untergrenze)

Untergrenze ist die Grenze des Integrals. Die Berechnung findet zwischen 0 und diesem Wert statt.

#### Beispiel

=GAUSSF.GENAU(1) ergibt 0,842701.

## GAUSSFEHLER

Ergibt Werte der Gauß'schen Fehlerfunktion.

#### Syntax

GAUSSFEHLER(Unterer Grenzwert [; Oberer Grenzwert])

Unterer Grenzwert ist der untere Grenzwert des Integralwerts.

Oberer Grenzwert ist optional. Es handelt sich um den oberen Grenzwert des Integralwerts. Fehlt dieser Wert, erfolgt die Berechnung zwischen 0 und dem unteren Grenzwert.

#### Beispiel

=GAUSSFEHLER(0;1) ergibt 0,842701.

## GAUSSFKOMPL

Ergibt Komplementärwerte zur Gauß'schen Fehlerfunktion zwischen x und Unendlich.

#### Syntax

GAUSSFKOMPL(UntererGrenzwert)

UntererGrenzwert ist der untere Grenzwert des Integralwerts

#### Beispiel

=GAUSSFKOMPL(1) ergibt 0,157299.

## GAUSSFKOMPL.GENAU

Ergibt Komplementärwerte zur Gauß'schen Fehlerfunktion zwischen x und Unendlich.

Diese Funktion ist seit LibreOffice 4.3 verfügbar.

#### Syntax

GAUSSFKOMPL.GENAU(UntererGrenzwert)

UntererGrenzwert ist der untere Grenzwert des Integralwerts

#### Beispiel

=GAUSSFKOMPL.GENAU(1) ergibt 0,157299.

## GGANZZAHL

Das Ergebnis ist 1, wenn Zahl größer als oder gleich groß wie Schwellenwert.

#### Syntax

GGANZZAHL(Zahl [; Schwellenwert])

#### Beispiel

=GGANZZAHL(5;1) ergibt 1.

## HEXINBIN

Das Ergebnis ist die Binärzahl der eingegebenen Hexadezimalzahl.

#### Syntax

HEXINBIN(Zahl [; Stellen])

Zahl ist eine Hexadezimalzahl oder eine Zeichenkette, die eine Hexadezimalzahl darstellt. Die Zahl kann aus maximal 10 Stellen bestehen. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=HEXINBIN("6a";8) ergibt 01101010.

## HEXINDEZ

Das Ergebnis ist die Dezimalzahl der eingegebenen Hexadezimalzahl.

#### Syntax

HEXINDEZ(Zahl)

Zahl ist eine Hexadezimalzahl oder eine Zeichenkette, die eine Hexadezimalzahl darstellt. Die Zahl kann aus maximal 10 Stellen bestehen. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

#### Beispiel

=HEXINDEZ("6a") ergibt 106.

## HEXINOKT

Das Ergebnis ist die Oktalzahl der eingegebenen Hexadezimalzahl.

#### Syntax

HEXINOKT(Zahl [; Stellen])

Zahl ist eine Hexadezimalzahl oder eine Zeichenkette, die eine Hexadezimalzahl darstellt. Sie kann aus maximal 10 Stellen bestehen. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=HEXINOKT("6a";4) ergibt 0152.

Verwandte Themen

Add-in-Funktionen

Add-in-Funktionen, Liste der Analysefunktionen Teil 2

Textfunktionen

Funktionen nach Kategorie